<back to all web services

SetConfiguration

The following routes are available for this service:
POST/RestApi/translations/configure
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class SetConfiguration
    {
        public String Cron = null;
        
        public String getCron() { return Cron; }
        public SetConfiguration setCron(String value) { this.Cron = value; return this; }
    }

    public static class SetConfigurationResponse
    {
        public String NextSyncRun = null;
        
        public String getNextSyncRun() { return NextSyncRun; }
        public SetConfigurationResponse setNextSyncRun(String value) { this.NextSyncRun = value; return this; }
    }

}

Java SetConfiguration DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/configure HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Cron":"String"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"NextSyncRun":"String"}